> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cocoondata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# <access-service>/api/v1/config/theme/...

## URL structure&#x20;

```text theme={null}
https://access-service.xy-company.com/api/v1/config/theme/...
```

where `...` represents any one of the following:

* [adminHelpUrl](/3.0/api/access-service-api-v1-config-theme-adminhelpurl.md)
* [applicationName](/3.0/api/access-service-api-v1-config-theme-applicationname.md)
* [companyName](/3.0/api/access-service-api-v1-config-theme-companyname.md)
* [copyright](/3.0/api/access-service-api-v1-config-theme-copyright.md)
* [emailHeaderDividerColor](/3.0/api/access-service-api-v1-config-theme-emailheaderdividercolor.md)
* [headerPrimaryColor](/3.0/api/access-service-api-v1-config-theme-headerprimarycolor.md)
* [headerTextColor](/3.0/api/access-service-api-v1-config-theme-headertextcolor.md)
* [legalUrl](/3.0/api/access-service-api-v1-config-theme-legalurl.md)
* [supportLink](/3.0/api/access-service-api-v1-config-theme-supportlink.md)
* [versionUrl](/3.0/api/access-service-api-v1-config-theme-versionurl.md)
* [webappHelpUrl](/3.0/api/access-service-api-v1-config-theme-webapphelpurl.md)

## Supported methods and overview&#x20;

* `DELETE` - resets the value which had been set using a `PUT` method to `<access-service>/api/v1/config/theme/...` (listed [above](/3.0/api/access-service-api-v1-config-theme-reset.md#access-service-api-v1-config-theme-reset-url-structure)) back to its default value.

> [!NOTE]
>
> To reset image logos, see [\<access-service>/api/v1/config/theme/img/\{imageLocationToOverride}](/3.0/api/access-service-api-v1-config-theme-img-imagelocationtooverride.md).

## Detailed description&#x20;

Using the `DELETE` method with a API endpoint listed above resets that endpoint's value back to its default.

Be aware that when using this method on one of these endpoints, [a piece of plain text is required in the body of the request](/3.0/api/access-service-api-v1-config-theme-reset.md#access-service-api-v1-config-theme-reset-required-body) that is specific to the particular endpoint being called.

## Supported roles&#x20;

This API endpoint supports the following Covata user [roles](/3.0/admin/administering-users.md#a-users-roles) (as described in the [Covata Platform Administrator's Guide](/3.0/admin.md)):

* [System administrator](/3.0/admin/administering-users.md#system-administrator-role)

The Covata Platform's resources available to one of these Covata users (above) is determined by the access token passed in the [header](/3.0/api/access-service-api-v1-config-theme-reset.md#access-service-api-v1-config-theme-reset-required-headers) of requests to this endpoint.

## Required headers&#x20;

The appropriate access token as the `Bearer` token:

* `Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6`

## Required body&#x20;

Specify one of the following that relates to `...` ([above](/3.0/api/access-service-api-v1-config-theme-reset.md#access-service-api-v1-config-theme-reset-url-structure)) in the body of the request as plain text:

* **admin\_help\_url** - for [adminHelpUrl](/3.0/api/access-service-api-v1-config-theme-adminhelpurl.md).
* **application\_name** - for [applicationName](/3.0/api/access-service-api-v1-config-theme-applicationname.md).
* **company\_name** - for [companyName](/3.0/api/access-service-api-v1-config-theme-companyname.md).
* **copyright** - for [copyright](/3.0/api/access-service-api-v1-config-theme-copyright.md).
* **email\_header\_divider\_color** - for [emailHeaderDividerColor](/3.0/api/access-service-api-v1-config-theme-emailheaderdividercolor.md).
* **header\_primary\_color** - for [headerPrimaryColor](/3.0/api/access-service-api-v1-config-theme-headerprimarycolor.md).
* **header\_text\_color** - for [headerTextColor](/3.0/api/access-service-api-v1-config-theme-headertextcolor.md).
* **legal\_url** - for [legalUrl](/3.0/api/access-service-api-v1-config-theme-legalurl.md).
* **support\_link** - for [supportLink](/3.0/api/access-service-api-v1-config-theme-supportlink.md).
* **version\_url** - for [versionUrl](/3.0/api/access-service-api-v1-config-theme-versionurl.md).
* **webapp\_help\_url** - for [webappHelpUrl](/3.0/api/access-service-api-v1-config-theme-webapphelpurl.md).

## Returns&#x20;

If the request succeeded, then an HTTP response status `200 OK` is returned.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.